#### Linux From Scratch - Version r13.0-133

### Chapter 6. Cross Compiling Temporary Tools

- Prev

  Introduction

- Next

  Ncurses-6.6

- Up
- Home

# 6.2. M4-1.4.21

The M4 package contains a macro processor.

Approximate build time: 0.1 SBU
Required disk space: 39 MB

## 6.2.1. Installation of M4

Prepare M4 for compilation:

    ./configure --prefix=/usr   \
                --host=$LFS_TGT \
                --build=$(build-aux/config.guess)

Compile the package:

    make

Install the package:

    make DESTDIR=$LFS install

Details on this package are located in Section 8.14.2, “Contents of M4.”

- Prev

  Introduction

- Next

  Ncurses-6.6

- Up
- Home